### Method

# Nautilus PropertiesModelProvider get_models

#### Declaration [src]

    GList*
    nautilus_properties_model_provider_get_models (
      NautilusPropertiesModelProvider* provider,
      GList* files
    )

#### Description [src]

This function is called by the application when it wants properties models from the extension.

This function is called in the main thread before the Properties are shown, so it should return quickly. The models can be populated and updated asynchronously.

#### Parameters

`files`

  Type: A list of `NautilusFileInfo*`

  A list of files.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `NautilusPropertiesModel*`

A list of models.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.